# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from polaris.network.create.triggers import create_network_triggers
from polaris.utils.database.db_utils import commit_and_close


def create_triggers(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
    else:
        with commit_and_close(proj.network.path_to_file, spatial=True) as conn:
            create_network_triggers(conn)
